dat1<-read.table(file="EnvHSRatsHousingTSRB155_3170_2016-7.csv",header=F)
coln<-c("date","time","loc","tem","hum","bar","lux")
names(dat1)<-coln
table(dat1$date)
tail(dat1)
july<-names(table(dat1$date))

idx0<-dat1$time=="00:00:03" | dat1$time=="00:00:04"
idx1<-1:dim(dat1)[1]
idx<-idx1[idx0]
idx0<-idx # for july labels 
idx0<-idx+72
idx<-c(idx,865+144)

ti<-"../../figures/envdata.eps"
postscript(file=ti,width=8,height=6,onefile=F,horizontal=F,paper="special")  
par(mfrow=c(2,2))
plot(dat1$tem, main="Temperature", ylab="Celsius", xlab="", xaxt="n", cex=0.6, col="darkblue")
abline(v=idx,lty=3)
mtext(at=idx0, side=1, las=3, cex=0.7, july)
plot(dat1$hum,main="Humidity",  ylab="Percent", xlab="", xaxt="n", cex=0.6, col="darkblue")
abline(v=idx,lty=3)
mtext(at=idx0, side=1, las=3, cex=0.7, july)
plot(dat1$bar, main="Air pressure", ylab="Pa", xlab="", xaxt="n", cex=0.6, col="darkblue")
abline(v=idx,lty=3 )
mtext(at=idx0, side=1, las=3, cex=0.7,july)
plot(dat1$lux, main="Ambient light", ylab="Lux", xlab="" , xaxt="n", pch=".", cex=2, col="darkblue")
abline(v=idx,lty=3)
mtext(at=idx0, side=1, las=3, cex=0.7, july)
dev.off()



